@echo off
set PROG=%0
set INFILE=%1
shift
set SRC=%1
shift
set DST=%1
shift
set WIDTH=%1
shift
set HEIGHT=%1
shift
set GX_OPTIONS=%1
shift
set MIPMAPS=%1
shift
set FORMAT=%1
shift
set OUTFILE=%1
%PROG%\..\gx.exe %INFILE% %GX_OPTIONS% -log0 %DST%
%PROG%\..\NGTexConv.exe %SRC% -Width %WIDTH% -Height %HEIGHT% -Levels %MIPMAPS% -Format %FORMAT% -o %OUTFILE%
